> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves a specific phone call by its ID.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json get /phone-calls/{id}
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /phone-calls/{id}:
    get:
      tags:
        - PhoneCall
      summary: Retrieves a specific phone call by its ID.
      parameters:
        - name: id
          in: path
          description: The unique identifier of the phone call.
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Successfully retrieved the phone call.
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PhoneCallViewModel'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PhoneCallViewModel'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PhoneCallViewModel'
        '404':
          description: Phone call not found.
components:
  schemas:
    PhoneCallViewModel:
      type: object
      properties:
        id:
          type: integer
          format: int32
        startDate:
          type: string
          format: date-time
        endDate:
          type: string
          format: date-time
          nullable: true
        fromNumber:
          type: string
          nullable: true
        toNumber:
          type: string
          nullable: true
        summary:
          type: string
          nullable: true
        uuid:
          type: string
          nullable: true
        clientId:
          type: integer
          format: int32
        confidence:
          type: integer
          format: int32
        confidenceReason:
          type: string
          nullable: true
        satisfaction:
          type: integer
          format: int32
        satisfactionReason:
          type: string
          nullable: true
        purpose:
          type: string
          nullable: true
        dynamicVariables:
          type: string
          nullable: true
        connectedTo:
          type: integer
          format: int32
          nullable: true
        conversationUuid:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        transcript:
          type: array
          items:
            $ref: '#/components/schemas/PhoneCallTranscriptLine'
          nullable: true
        isUnknown:
          type: boolean
        portalId:
          type: integer
          format: int32
      additionalProperties: false
    PhoneCallTranscriptLine:
      type: object
      properties:
        id:
          type: integer
          format: int32
        createdAt:
          type: string
          format: date-time
        by:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
        phoneCallId:
          type: integer
          format: int32
        category:
          $ref: '#/components/schemas/PhoneCallTranscriptLineCategory'
      additionalProperties: false
    PhoneCallTranscriptLineCategory:
      enum:
        - 0
        - 1
        - 2
      type: integer
      format: int32

````